Bug 1639877 - Can't change Server's Zone
Summary: Can't change Server's Zone
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.5
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.9.5
Assignee: Harpreet Kataria
QA Contact: Tasos Papaioannou
Red Hat CloudForms Documentation
URL:
Whiteboard:
: 1640643 (view as bug list)
Depends On:
Blocks: 1635764
TreeView+ depends on / blocked
 
Reported: 2018-10-16 19:27 UTC by Tasos Papaioannou
Modified: 2018-11-05 14:00 UTC (History)
7 users (show)

Fixed In Version: 5.9.5.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-05 14:00:33 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 14:00:54 UTC
Red Hat Bugzilla 1584851 None CLOSED [UPSTREAM]Cannot change server's zone 2019-06-03 19:00:42 UTC

Internal Links: 1584851

Description Tasos Papaioannou 2018-10-16 19:27:28 UTC
Description of problem:

After changing the Zone of a Server, the Save button is still disabled. Changing other settings, such as a server role, will enable the Save button, but then clicking Save will save the server role change but not the zone change.

Version-Release number of selected component (if applicable):

Verified on 5.9.5.0 through 5.9.5.2.
This issue does not appear in 5.9.4 or in 5.10.0.


How reproducible:

100%

Steps to Reproduce:
1.) Create a new zone.
2.) Change the server's zone.


Actual results:

Save button remains disabled after selecting a new zone.

Expected results:

Save button gets enabled, and the zone change can be saved successfully.

Additional info:

Comment 4 Satyajit Bulage 2018-10-18 13:40:37 UTC
*** Bug 1640643 has been marked as a duplicate of this bug. ***

Comment 5 Harpreet Kataria 2018-10-18 15:29:27 UTC
Backporting https://github.com/ManageIQ/manageiq-ui-classic/pull/4072/ should fix the issue

Comment 7 Satoe Imaishi 2018-10-19 19:58:07 UTC
cfme-5.10 bug #1584851

Comment 8 CFME Bot 2018-10-19 20:01:42 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-classic/commit/abdb389b8904b97b0c95eb9be6dfcc5dbdff39bd
commit abdb389b8904b97b0c95eb9be6dfcc5dbdff39bd
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Oct 18 18:30:43 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Oct 18 18:30:43 2018 -0400

    Make sure @edit[:current].config[:server][:zone] is set

    Current server never returns its zone in get_configso it has to be checked and set correctly. Gaprindashvili backport of https://github.com/ManageIQ/manageiq-ui-classic/pull/4072

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1639877

 app/controllers/ops_controller/settings/common.rb | 1 +
 spec/controllers/ops_controller/settings/common_spec.rb | 29 +
 2 files changed, 30 insertions(+)

Comment 9 Tasos Papaioannou 2018-10-24 14:19:40 UTC
Verified on 5.9.5.3.

Comment 11 errata-xmlrpc 2018-11-05 14:00:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.